Page MenuHomeFreeBSD

emulators/fceux: Update to 2.6.5
ClosedPublic

Authored by fuz on Feb 11 2023, 7:18 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sun, Feb 18, 8:27 AM
Unknown Object (File)
Fri, Feb 2, 7:34 AM
Unknown Object (File)
Fri, Feb 2, 7:34 AM
Unknown Object (File)
Fri, Feb 2, 7:34 AM
Unknown Object (File)
Fri, Feb 2, 7:34 AM
Unknown Object (File)
Fri, Feb 2, 7:23 AM
Unknown Object (File)
Dec 20 2023, 7:13 AM
Unknown Object (File)
Dec 20 2023, 6:39 AM
Subscribers

Details

Summary
emulators/fceux: Update to 2.6.5

An interim release, gathering bug fixes and improvements from the past
year.

 - move REINPLACE_CMD usage to pre-configure to make make makepatch
   easier to use.
 - commit 2d34c2b for PR #262886 has changed the package list to
   ship a man page we explicitly did not want to ship.  Fix the
   post-install target and pkg-plist to continue not shipping the
   man page.

Changelog:	https://fceux.com/web/pressrelease-2.6.5.html
Test Plan

Tested on i386 amd64 FreeBSD 12.4 13.1. arm64 pending.
See http://fuz.su/~fuz/freebsd/batch1/

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 49699
Build 46589: arc lint + arc unit

Event Timeline

fuz requested review of this revision.Feb 11 2023, 7:18 PM
diizzy added inline comments.
emulators/fceux/Makefile
2

Follow Porters Handbook and use DISTVERSION and DISTVERSIONPREFIX
"Example 17. Use of USE_GITHUB with DISTVERSIONPREFIX"

21

Why is this here?

fuz planned changes to this revision.Feb 12 2023, 1:51 PM

Will have to rework this one.

emulators/fceux/Makefile
2

Thank you for spotting this. This was an error coming from squashing my various local commits.

21

Thank you for spotting this. This was an error coming from squashing my various local commits.

Fixed the patch such that it actually picks version 2.6.5
instead of the earlier interim release. This required an
additional patch to fix a build issue.

See extended test logs at: http://fuz.su/~fuz/freebsd/batch1/fceux-2.6.5

  • move REINPLACE_CMD usage to pre-configure to make make makepatch easier to use.

Thats a bad move to put reinplace cmds on pre-configure.
make makepatch should be run after make extract and changes made in WRKSRC to generate only wanted patches.

  • move REINPLACE_CMD usage to pre-configure to make make makepatch easier to use.

Thats a bad move to put reinplace cmds on pre-configure.
make makepatch should be run after make extract and changes made in WRKSRC to generate only wanted patches.

This doesn't make a whole lot of sense. If there are already existing patches, you need to run make patch to apply them, then edit them, and finally run make makepatch to generate new patches with your additional changes. If dynamic patching with REINPLACE_CMD is performed in post-patch, this workflow becomes impossible as we no longer get correct patches from make makepatch after having run make patch. And I'm certainly not going to apply all patches by hand every time I want to do a modification to one of them.

Hence the idea: Put REINPLACE_CMD into pre-configure where this issue is avoided with no changes to the build otherwise. As REINPLACE_CMD is for dynamic patching, i.e. patching in strings to configure it to our requirement, this fits better anyway. Many existing ports already do it this way, including audio/easytag, biology/bbmap, biology/bcftools, biology/bedtools, biology/bio-mocha, biology/bowtie2, biology/canu, biology/gemma, biology/haplohseq, biology/ncbi-entrez-direct, biology/pbbam, biology/py-ont-fast5-api, and biology/snpeff (just to name those from the biology category).

In D38517#877028, @fuz_fuz.su wrote:
  • move REINPLACE_CMD usage to pre-configure to make make makepatch easier to use.

Thats a bad move to put reinplace cmds on pre-configure.
make makepatch should be run after make extract and changes made in WRKSRC to generate only wanted patches.

This doesn't make a whole lot of sense. If there are already existing patches, you need to run make patch to apply them, then edit them, and finally run make makepatch to generate new patches with your additional changes. If dynamic patching with REINPLACE_CMD is performed in post-patch, this workflow becomes impossible as we no longer get correct patches from make makepatch after having run make patch. And I'm certainly not going to apply all patches by hand every time I want to do a modification to one of them.

Hence the idea: Put REINPLACE_CMD into pre-configure where this issue is avoided with no changes to the build otherwise. As REINPLACE_CMD is for dynamic patching, i.e. patching in strings to configure it to our requirement, this fits better anyway. Many existing ports already do it this way, including audio/easytag, biology/bbmap, biology/bcftools, biology/bedtools, biology/bio-mocha, biology/bowtie2, biology/canu, biology/gemma, biology/haplohseq, biology/ncbi-entrez-direct, biology/pbbam, biology/py-ont-fast5-api, and biology/snpeff (just to name those from the biology category).

Fine with me. Don't see a problem using reinplace cmds on a different target than post-patch.

This revision is now accepted and ready to land.Feb 13 2023, 10:26 AM
This revision was automatically updated to reflect the committed changes.